# Indica que este es el archivo de configuración raíz
root = true

# Configuración global para todos los archivos
[*]
charset = utf-8                   # Codificación UTF-8
end_of_line = lf                  # Saltos de línea tipo Unix (LF)
trim_trailing_whitespace = true   # Eliminar espacios en blanco finales
insert_final_newline = true       # Asegura una nueva línea al final del archivo

# Configuración para archivos PHP
[*.php]
indent_style = space              # Usar espacios en lugar de tabulaciones
indent_size = 4                   # Tamaño de indentación de 4 espacios

# Configuración para archivos JavaScript
[*.js]
indent_style = space              # Usar espacios en lugar de tabulaciones
indent_size = 2                   # Tamaño de indentación de 2 espacios
quote_type = single               # Usar comillas simples por defecto
trim_trailing_whitespace = true   # Eliminar espacios en blanco finales

# Configuración para archivos de estilos CSS
[*.css]
indent_style = space              # Usar espacios en lugar de tabulaciones
indent_size = 2                   # Tamaño de indentación de 2 espacios

# Configuración para archivos JSON
[*.json]
indent_style = space              # Usar espacios en lugar de tabulaciones
indent_size = 2                   # Tamaño de indentación de 2 espacios

# Configuración para archivos de vista (HTML y Blade)
[*.{html,blade.php}]
indent_style = space              # Usar espacios en lugar de tabulaciones
indent_size = 4                   # Tamaño de indentación de 4 espacios
trim_trailing_whitespace = true   # Eliminar espacios en blanco finales

# Configuración para archivos Markdown
[*.md]
trim_trailing_whitespace = false  # No eliminar espacios en blanco finales
insert_final_newline = false      # No agregar una nueva línea al final del archivo
